> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/cloud/de/web-interface/help-and-tools/export/powershell-script-export-type.md).

# PowerShell-Skript-Exporttyp

Verwenden Sie ein PowerShell-Skript, um Ihre Daten im JSON- oder CSV-Format zu exportieren. Diese Methode ist nur mit Devolutions Cloud verfügbar und erfordert PowerShell 7 oder höher.

Wählen Sie zunächst, ob Sie Ihre Informationen automatisch oder manuell in das PowerShell-Skript eintragen möchten.

### Informationen automatisch eintragen

1. Klicken Sie in ***Help & tools*** auf ***Export***.
2. Wählen Sie den Exporttyp ***PowerShell script***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2025_2024_1.png)
3. Erstellen Sie als Nächstes eine [Anwendungsidentität](/cloud/de/web-interface/administration/management/application-identities/manage-application-identities.md) mit dem Recht, die gewünschten Tresore zu exportieren (weitere Details finden Sie unter [Rollen und Berechtigungen](/cloud/de/web-interface/administration/configuration-and-security/system-permissions/roles-and-permissions.md)). Stellen Sie sicher, dass ***Can access user vaults*** aktiviert ist, andernfalls können Benutzer-Tresore nicht exportiert werden.
4. Wählen Sie die Option ***Automatic***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2023_2024_1.png)
5. Geben Sie das ***Application secret*** und den ***Application key*** Ihrer Anwendungsidentität in die entsprechenden Felder ein.
6. Geben Sie den ***Destination folder path*** ein. Dorthin werden Ihre Daten exportiert.
7. Wählen Sie den Export nach JSON oder CSV.
8. Klicken Sie auf ***Download***.
9. Führen Sie das heruntergeladene Skript mit PowerShell 7 aus.

Ihre Daten wurden in den Zielordner exportiert.

### Informationen manuell eintragen

1. Klicken Sie in ***Help & tools*** auf ***Export***.
2. Wählen Sie den Exporttyp ***PowerShell script***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2025_2024_1.png)
3. [Erstellen Sie eine Anwendungsidentität](/cloud/de/web-interface/administration/management/application-identities.md) und weisen Sie ihr die Berechtigung ***Manage vaults*** für den gewünschten Tresor zu.
4. Wählen Sie die Option ***Manual***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2024_2024_1.png)
5. Wählen Sie den Export nach JSON oder CSV.
6. Kopieren Sie das Skript und fügen Sie es in eine PowerShell-Datei (.ps1) ein.
7. Ändern Sie in Ihrem kopierten Skript die Variablen mit den entsprechenden Informationen. Siehe die Tabelle unten.

   <table><thead><tr><th width="211.79998779296875">Variable</th><th>Beschreibung</th></tr></thead><tbody><tr><td><code>$url</code></td><td>Geben Sie Ihre Devolutions Cloud-URL ein. Diese Variable wird automatisch ausgefüllt, kann aber weiterhin geändert werden.</td></tr><tr><td><code>$appSecret</code></td><td>Geben Sie das <em><strong>Application secret</strong></em> des Anwendungsbenutzers ein.</td></tr><tr><td><code>$appKey</code></td><td>Geben Sie den <em><strong>Application key</strong></em> des Anwendungsbenutzers ein.</td></tr><tr><td><code>$pathToExportedFolder</code></td><td>Geben Sie den <em><strong>Destination folder path</strong></em> ein. Dorthin werden Ihre Daten exportiert.</td></tr></tbody></table>
8. Führen Sie das Skript mit PowerShell 7 aus.

Ihre Daten wurden in den Zielordner exportiert.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/cloud/de/web-interface/help-and-tools/export/powershell-script-export-type.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
